The SML of NJ Library
The `MonoArrayFn` functor

The `MonoArrayFn` functor allows easy construction of new monomorphic array structures.

## Synopsis

    functor MonoArrayFn (type elem) :> MONO_ARRAY where type elem = elem

## Description

This functor takes an element type and defines a structure that matches the `MONO_ARRAY` signature from the SML Basis Library, which can then be supplied to other functors that require such an argument.

## See Also

`ArrayQSortFn`, `BSearchFn`, `DynamicArrayFn`, `MONO_ARRAY`, The Util Library

SML/NJ Version 110.99.3 (August 1, 2023)
Last updated 2023-07-31 17:59:01 UTC